/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package MatlResMgmt.ServiceFromSupplier;

import java.util.Vector;
import java.util.Date;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class ServiceRequest {
    public void enterServiceRequest() {
    }

    public int calcClosureInterval() {
        return 0;
    }

    public boolean checkForWarranteeCoverage() {
        return false;
    }

    public static Vector listServiceRequests() {
        return new Vector();
    }

    private String number;
    private Date dateTimeFiled;
    private Date dateTimeOpened;
    private Date dateTimeDue;

    /**
     *@clientCardinality 1
     * @supplierCardinality 0..*
     */
    private ServiceFromSupplier lnkUnnamed1;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 0..*
     */
    private MatlResMgmt.MaterialResource.MatlResBeingUsed lnkUnnamed3;
    private Date dateTimeClosed;
    private Date costEstimated;
}


